<?php
/**
 * Created by PhpStorm.
 * User: RSkaldin
 * Date: 6/10/2019
 * Time: 7:39 PM
 */

namespace App\Http\Controllers;

use App\Models\Feedback;
use Illuminate\Http\Request;

class FeedbackController extends Controller
{
    /**
     * Сохранение сообщения от гостя
     *
     * @param Request $request
     * @return \Illuminate\Http\RedirectResponse
     */
    public function addGuest(Request $request)
    {
        $request->validate([
            'captcha' => 'required|captcha',
        ], ['captcha.captcha' => 'Неверный защитный код...']);
        try {
            $feedback = new Feedback();
            $feedback->name = $request->input('name').' '.$request->input('last-name');
            $feedback->email = $request->input('email');
            $feedback->phone = $request->input('phone');
            $feedback->body = $request->input('message');
            $feedback->title = 'Гость: '.$feedback->name;
            $feedback->ip = $request->ip();
            $feedback->save();
        } catch (\Exception $ex) {
            return redirect()->back()->with('flash_error', 'Ошибка отправки сообщения.');
        }

        return redirect()->back()->with('flash_success', 'Сообщение отправлено успешно.');
    }
    public function addGuestCaptcha()
    {
        return captcha_img();
    }
}
